| OpenMS 2.5.0

IDRTCalibration

Can be used to calibrate the RTs of peptide hits linearly to standards.

pot. predecessor tools | IDRTCalibration | pot. successor tools
MascotAdapter (or other ID engines) | PeptideIndexer (or other tools operating with identifications (in idXML format))

This tool can be used to linearly align RTs of the idXML-File to a reference. If only calibrant_1_input and calibrant_2_input are given, the first calibrant will result at RT 0.1 and calibrant_2_input will be at 0.9. If one wants to align the RTs of this idXML file to the IDs of a reference file one can also give the RTs of the same calibrant in the reference file (calibrant_1_reference, calibrant_2_reference). If these calibrants are given, the linear transformation (shift and scale) will be calculated such that calibrant_1_input will be at the same RT as calibrant_1_reference and calibrant_2_input will be at the same RT as calibrant_2_reference. This only applies if calibrant_1* has a smaller RT than calibrant_2*. Otherwise the values are swapped.

Note
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    IDRTCalibration -- Can be used to calibrate RTs of peptide hits linearly to standards.

    Full documentation: http://www.openms.de/documentation/TOPP_IDRTCalibration.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      IDRTCalibration <options>

    Options (mandatory options marked with '*'):

      -in <file>*                  Input file  (valid formats: 'idXML')

      -out <file>*                 Output file  (valid formats: 'idXML')

      -calibrant_1_reference <RT>  The RT of the first calibrant in the reference file. (default: '0.1')

      -calibrant_2_reference <RT>  The RT of the second calibrant in the reference file. (default: '0.9')

      -calibrant_1_input <RT>      The RT of the first calibrant in the input file. Please note that this value

                                   needs to be set. The default value -1.0 is not allowed. (default: '-1.0')

      -calibrant_2_input <RT>      The RT of the second calibrant in the input file. Please note that this value

                                   needs to be set. The default value -1.0 is not allowed. (default: '-1.0')

    Common TOPP options:

      -ini <file>                  Use the given TOPP INI file

      -threads <n>                 Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>            Writes the default configuration file

      --help                       Shows options

      --helphelp                   Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+IDRTCalibration Can be used to calibrate RTs of peptide hits linearly to standards.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'IDRTCalibration'
in input file input file*.idXML
out output file output file*.idXML
calibrant_1_reference 0.1 The RT of the first calibrant in the reference file.
calibrant_2_reference 0.9 The RT of the second calibrant in the reference file.
calibrant_1_input-1.0 The RT of the first calibrant in the input file. Please note that this value needs to be set. The default value -1.0 is not allowed.
calibrant_2_input-1.0 The RT of the second calibrant in the input file. Please note that this value needs to be set. The default value -1.0 is not allowed.
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false